#
# Conditional build:
%bcond_without  python2 # CPython 2.x module
%bcond_without  python3 # CPython 3.x module

%define 	module	isodate
Summary:	An ISO 8601 date/time/duration parser and formater
Summary(pl.UTF-8):	Moduł analizujący i formatujący daty/czas/okresy w formacie ISO 8601
Name:		python-%{module}
Version:	0.5.1
Release:	3
License:	BSD
Group:		Development/Languages
Source0:	http://pypi.python.org/packages/source/i/isodate/isodate-%{version}.tar.gz
# Source0-md5:	22232a6b0f5d320610ae45722c1b9542
URL:		http://pypi.python.org/pypi/isodate/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-distribute
BuildRequires:	python-modules >= 1:2.6
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-distribute
BuildRequires:	python3-modules >= 1:3.2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements ISO 8601 date, time and duration parsing. The
implementation follows ISO8601:2004 standard, and implements only
date/time representations mentioned in the standard. If something is
not mentioned there, then it is treated as non existent, and not as an
allowed option.

%description -l pl.UTF-8
Ten moduł zawiera implementację analizy daty, czasu i okresów w
formacie ISO 8601. Implementacja jest zgodna ze standardem
ISO8601:2004 i zawiera tylko reprezentacje daty/czasu opisane w
standardzie.

%package -n python3-%{module}
Summary:	An ISO 8601 date/time/duration parser and formater
Summary(pl.UTF-8):	Moduł analizujący i formatujący daty/czas/okresy w formacie ISO 8601
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
This module implements ISO 8601 date, time and duration parsing. The
implementation follows ISO8601:2004 standard, and implements only
date/time representations mentioned in the standard. If something is
not mentioned there, then it is treated as non existent, and not as an
allowed option.

%description -n python3-%{module} -l pl.UTF-8
Ten moduł zawiera implementację analizy daty, czasu i okresów w
formacie ISO 8601. Implementacja jest zgodna ze standardem
ISO8601:2004 i zawiera tylko reprezentacje daty/czasu opisane w
standardzie.

%prep
%setup -q -n isodate-%{version}

%build
%if %{with python2}
%{__python} setup.py build --build-base build-2 %{?with_tests:test}
%endif

%if %{with python3}
%{__python3} setup.py build --build-base build-3 %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
        build --build-base build-2 \
        install --skip-build \
        --optimize=2 \
        --root=$RPM_BUILD_ROOT

%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
        build --build-base build-3 \
        install --skip-build \
        --optimize=2 \
        --root=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt README.rst TODO.txt
%dir %{py_sitescriptdir}/isodate
%{py_sitescriptdir}/isodate/*.py[co]
%dir %{py_sitescriptdir}/isodate/tests
%{py_sitescriptdir}/isodate/tests/*.py[co]
%{py_sitescriptdir}/isodate-%{version}-py*.egg-info

%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.txt README.rst TODO.txt
%dir %{py3_sitescriptdir}/isodate
%{py3_sitescriptdir}/isodate/*.py
%{py3_sitescriptdir}/isodate/__pycache__
%dir %{py3_sitescriptdir}/isodate/tests
%{py3_sitescriptdir}/isodate/tests/*.py
%{py3_sitescriptdir}/isodate/tests/__pycache__
%{py3_sitescriptdir}/isodate-%{version}-py*.egg-info
%changelog
* Mon Sep 14 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-isodate.git;a=log;h=master

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f34626
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 283e588
- python 3.5 rebuild
- release 2 (by relup.sh)

* Thu Jan 08 2015 Jakub Bogusz <qboosh@pld-linux.org> d3fdcd8
- adjusted python package names/versions

* Fri Jan 02 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 27adeff
- Version: 0.5.1, Python 3 support

* Fri May 25 2012 Jakub Bogusz <qboosh@pld-linux.org> c68c979
- pl

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> 5ceb85f
- up to 0.4.7

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> 59727fe
- up to 0.4.6

* Mon Jul 18 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7055521
- initial

